<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ProjectACES: Dijkstra C++</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ProjectACES
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="PageDoc"><div class="header">
  <div class="headertitle">
<div class="title"><a class="el" href="classDijkstra.html" title="Dijkstra class.">Dijkstra</a> C++ </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><p><a class="anchor" id="md_README"></a><a class="el" href="classDijkstra.html" title="Dijkstra class.">Dijkstra</a> algorithm implementation in C++. Provides the possibility of reading the a maze from file input, and generate another file as output; or reading and printing via terminal.</p>
<p><a href="https://en.wikipedia.org/wiki/Dijkstra%27s_algorithm">Algorithm description</a>. </p>
<h1><a class="anchor" id="autotoc_md1"></a>
Current features</h1>
<ul>
<li><a class="el" href="classDijkstra.html" title="Dijkstra class.">Dijkstra</a> shortest path algorithm implementarion.</li>
<li>Supports both input and ouput via terminal and files.</li>
<li>Supports .txt files representing the maze. The maximum size can be MAX_INT.</li>
<li>Supports drawing computed shortest path as output or in terminal.</li>
<li>Supports differents usages, one of them non verbosing, ideal for repeating program execution in a set of files.</li>
<li>Applies segregations of concerns, separating logic from algorithm and from input/output through 3 main public interfaces:<ul>
<li><code>dijkstra.h</code>, responsible of algorithm calculation. Completely reusable.</li>
<li><code>IO_dijkstra.h</code>, utilities for reading algorithm input via keyboard and printing output to terminal or files.</li>
</ul>
</li>
</ul>
<h1><a class="anchor" id="autotoc_md2"></a>
Compiling</h1>
<p>Create folders structure with <code>make folders</code>. Compiling and linking with <code>make</code>. </p>
<h1><a class="anchor" id="autotoc_md3"></a>
Usages</h1>
<pre class="fragment">./program                                                 // input and output by terminal &lt;br&gt;
./program &lt;input_csv_filename&gt;                            // output by terminal &lt;br&gt;
./program &lt;input_csv_filename&gt; &lt;output_filename&gt;          // starting and target node input by terminal &lt;br&gt;
// Non verbose execution &lt;br&gt;
./program &lt;input_csv_filename&gt; &lt;output_filename&gt; &lt;starting_node&gt; &lt;target_node&gt; &lt;br&gt;
</pre><h3><a class="anchor" id="autotoc_md4"></a>
Authors</h3>
<p>Neacsu Mihai, Alin Stroe</p>
<h3><a class="anchor" id="autotoc_md5"></a>
License</h3>
<p><a href="http://unlicense.org/">The Unlicense</a>. Software released into the public domain, no rights reserved. </p>
</div></div><!-- PageDoc -->
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
